# Configuration Options for the Server

Last modified by uru on 2023/07/11 10:33
Export
Office Formats
Export as PDF Export as ODT Export as RTF
Other Formats

Select the pages to export:

select all/ none

Legend:
  Created Page
  Modified Extension Page
  Clean Extension Page

Export as HTML

This section shows the options which are available for configuring the server of KWebS. The identifier of an option is followed by a default value, if it exists, and a description of valid assignments.

- de.cau.cs.kieler.kwebs.jaxws.publishHttp
  - Default value: true
  - Valid assignments: true, false
  - With this option you can define whether the service variant SOAP over HTTP is being published by the server.
- de.cau.cs.kieler.kwebs.jaxws.httpAddress
  - Default value: http://localhost:9442/layout
  - Valid assignments: An URL defining HTTP as protocol
  - With this option you define the address, port and context of the endpoint the server publishes the SOAP over HTTP service variant on.
- de.cau.cs.kieler.kwebs.jaxws.publishHttps
  - Default value: true
  - Valid assignments: true, false
  - With this option you can define whether the service variant SOAP over HTTPS is being published by the server.
- de.cau.cs.kieler.kwebs.jaxws.httpsAddress
  - Default value: http://localhost:9443/layout
  - Valid assignments: An URL defining HTTPS as protocol
  - With this option you define the address, port and context of the endpoint the server publishes the SOAP over HTTPS service variant on.
- de.cau.cs.kieler.kwebs.httpsKeystore.jks.path
  - Default value: server/kwebs/security/keystores/server.jks
  - Valid assignments: A string defining a path
  - With this option you define the path to the java key store containing the certificate that the server uses to secure the HTTPS based variant of the SOAP service. The server plug in (de.cau.cs.kieler.kwebs.server) contains a default key store with a self signed certificate. For the operation in a production environment that requires the exchange of confidential models, this certificate should be replaced by a certificate that has been signed by a globally trusted CA.
- de.cau.cs.kieler.kwebs.httpsKeystore.jks.pass
  - Default value: server
  - Valid assignments: A string defining the password
  - With this option you define the password which the server requires to access the key store necessary for securing the HTTPS based SOAP service variant.
- de.cau.cs.kieler.kwebs.server.poolsize
  - Default value: 10
  - Valid assignments: An integer
  - This option defines the maximum number of requests, the server is executing concurrently.
- de.cau.cs.kieler.kwebs.server.backlog
  - Default value: 75
  - Valid assignments: An integer
  - This option defines the maximum number of requests the server caches before he rejects further incoming requests.
- de.cau.cs.kieler.kwebs.log.path
  - Default value: server/kwebs/logs/kwebs.log
  - Valid assignments: A string defining a path
  - This option defines the path to the log file the server uses.
- de.cau.cs.kieler.kwebs.log.size
  - Default value: 1
  - Valid assignments: An integer
  - This option defines the maximum size of the log file in megabytes the server uses.
- de.cau.cs.kieler.kwebs.graphviz.path
  - Default value: none
  - Valid assignments: A string defining a path
  - This option defines the path to the dot executable of the graphviz package.
- de.cau.cs.kieler.kwebs.graphviz.timeout
  - Default value: 60000
  - Valid assignments: An integer
  - This option defines the timeout for graphviz-based layout in milliseconds.
- de.cau.cs.kieler.kwebs.ogdf.timeout
  - Default value: 60000
  - Valid assignments: An integer
  - This option defines the timeout for OGDF-based layout in milliseconds.
- de.cau.cs.kieler.kwebs.supportServerAddress
  - Default value: http://localhost:9444
  - Valid assignments: An URL defining HTTP as protocol
  - With this option you define the address and port of the endpoint, the server publishes the support server on.
- de.cau.cs.kieler.kwebs.publishSupportServer
  - Default value: true
  - Valid assignments: true, false
  - This option defines, whether the support server is being published.
- de.cau.cs.kieler.kwebs.management.port
  - Default value: 23456
  - Valid assignments: An integer
  - This option defines the port, under which the management service of the server is reachable.
- de.cau.cs.kieler.kwebs.graphs.maxnumber
  - Default value: 5
  - Valid assignments: An integer
  - The service is capable of doing the layout on a set of graphs that a user transmits in a single request. This option defines the maximum number of graphs a user may transmit in a single request. If a request contains more than the allowed number of graphs the service aborts processing the request and throws a RemoteServiceException.
- de.cau.cs.kieler.kwebs.graphs.maxelements
  - Default value: 5000
  - Valid assignments: An integer
  - This option defines the maximum number of elements each transmitted graph may contain. If at least a single graph exceeds the maximum number of elements the service aborts processing the request and throws a RemoteServiceException.
- de.cau.cs.kieler.kwebs.graphs.maxnumber.test
  - Default value: true
  - Valid assignments: true, false
  - This option defines whether the service shall test the number of graphs contained in a request against the maximum number of graphs allowed in a single request.
- de.cau.cs.kieler.kwebs.graphs.maxelements.test
  - Default value: true
  - Valid assignments: true, false
  - This option defines whether the service shall test the graphs contained in a request against the maximum number of elements allowed for a single graph.

Tags:
Created by msp on 2012/04/23 14:07

- Comments (0)
- Attachments (0)
- History
- Information

# Quick Links

KIELER on GitHub
RTSYS Homepage

XWiki 14.4.7